Bug 1025110 - Review Request: polari - Internet Relay Chat client for GNOME 3
Review Request: polari - Internet Relay Chat client for GNOME 3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrea Veri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 23:13 EDT by Florian Müllner
Modified: 2013-12-13 22:01 EST (History)
6 users (show)

See Also:
Fixed In Version: polari-3.11.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:01:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
andrea.veri: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Florian Müllner 2013-10-30 23:13:22 EDT
Spec URL: http://fmuellner.fedorapeople.org/polari.spec
SRPM URL: http://fmuellner.fedorapeople.org/polari-3.11.1-1.fc20.src.rpm
Description: Polari is an Internet Relay Chat client for the GNOME desktop

Builds on F20, a scratch build is available[0].

rpmlint *.rpm *.spec:
  polari.armv7hl: W: no-manual-page-for-binary polari
  polari.i686: W: no-manual-page-for-binary polari
  polari.x86_64: W: no-manual-page-for-binary polari
 7 packages and 1 specfiles checked; 0 errors, 3 warnings.

While I already maintain some packages in Fedora (mostly mutter/gnome-shell), this is my first package submission, so I will need a sponsor :-)
I'm an upstream maintainer of the aforementioned components as well as polari.

Fedora Account System Username: fmuellner


[0] http://koji.fedoraproject.org/koji/taskinfo?taskID=6118125
Comment 1 Florian Müllner 2013-10-30 23:31:10 EDT
(In reply to Florian Müllner from comment #0)
> While I already maintain some packages in Fedora [...] this is my first 
> package submission, so I will need a sponsor :-)

Looks like I was wrong and co-maintaining existing packages already qualifies, sorry for the noise.
Comment 2 Christopher Meng 2013-10-30 23:46:08 EDT
Just wanted to package it~
Comment 3 Andrea Veri 2013-10-31 10:19:19 EDT
I'll review this.
Comment 4 Christopher Meng 2013-11-08 08:23:13 EST
ping andrea after a week.
Comment 5 Andrea Veri 2013-11-08 11:12:37 EST
I'll make sure this is done within the upcoming weekend.
Comment 6 Yanko Kaneti 2013-11-08 13:26:45 EST
Some basic observations while trying to try this on rawhide.

- You are patching *am, the tarball is disted with automake 1.13, rawhide has automake 1.14 -> you need to autoreconf -fi and BR: automake autoconf libtool

- It wouldnt't work with the gjs in rawhide, so had to upgrade to a snapshot
(polari:14085): Gjs-WARNING **: JS ERROR: [boxed instance proxy GIName:GLib.Error jsobj@0x7f0562c91df0 native@0x156f720]

- It fails hard without telepathy-mission-control, perhaps it should Require: it
(polari:27156): Gjs-WARNING **: JS ERROR: GLib.Error dbus-glib-error-quark: The name org.freedesktop.Telepathy.AccountManager was not provided by any .service files
Comment 7 Florian Müllner 2013-11-13 17:46:06 EST
Upstream is now at 3.11.2, I updated SPEC, SRPM[0] and corresponding scratch build[1] accordingly.


(In reply to Yanko Kaneti from comment #6)
> Some basic observations while trying to try this on rawhide.
> 
> - You are patching *am

Patch is included in the new upstream release, so no longer part of the spec.


> - It wouldnt't work with the gjs in rawhide, so had to upgrade to a snapshot
> (polari:14085): Gjs-WARNING **: JS ERROR: [boxed instance proxy
> GIName:GLib.Error jsobj@0x7f0562c91df0 native@0x156f720]

Ugh, this is https://bugzilla.gnome.org/show_bug.cgi?id=708749; the error is basically about not being able to properly print an error message, so this should not really affect normal use.
Still, if desired, I can patch it out for F20/rawhide.


> - It fails hard without telepathy-mission-control, perhaps it should
> Require: it

Done, and I added telepathy-idle as well while at it.


[0] http://fmuellner.fedorapeople.org/polari-3.11.2-1.fc20.src.rpm
[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=6176870
Comment 8 Andrea Veri 2013-11-15 08:30:09 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated". 1
     files have unknown license. Detailed output of licensecheck in
     /home/averi/review/1025110-polari/licensecheck.txt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/512x512/apps, /usr/share/appdata,
     /usr/share/icons/hicolor/512x512, /usr/share/dbus-1,
     /usr/share/dbus-1/services
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in polari
[x]: The spec file handles locales properly.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in polari
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

===== Items to look at before approval ======

%{_datadir}/applications/*.desktop
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/dbus-1/services/*.service

These entries are incorrect given the package will get ownership of all the *.desktop/*.appdata.xml/*.service files, please specify each of the files on the spec file like shown here:

%{_datadir}/appdata/org.gnome.Polari.appdata.xml
%{_datadir}/applications/org.gnome.Polari.desktop
%{_datadir}/dbus-1/services/org.gnome.Polari.service

----

The licenses used on the source files seem to be GPLv2 and LGPL but LGPL is missing on the list of licenses for this package, please update the relevant field accordingly.

----

Optional: Please make use of the %{name} macro wherever you can.
Comment 9 Florian Müllner 2013-11-15 09:38:38 EST
Updated spec and srpm, new scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=6183304.
Comment 10 Andrea Veri 2013-11-15 09:46:10 EST
Approved. As said to you privately I'm offering co-maintainership if you need help with the package.
Comment 11 Florian Müllner 2013-11-15 10:41:02 EST
New Package SCM Request
=======================
Package Name: polari
Short Description: Internet Relay Chat client for GNOME
Owners: fmuellner averi
Branches: f20
InitialCC:
Comment 12 Florian Müllner 2013-11-15 10:42:41 EST
(In reply to Andrea Veri from comment #10)
> As said to you privately I'm offering co-maintainership if you need help 
> with the package.

Thanks, appreciated. I don't think it will be necessary a lot (my workflow for upstream releases includes updating the Fedora packages by now), but a 2nd pair of eyes certainly can't hurt :-)
Comment 13 Gwyn Ciesla 2013-11-15 10:52:20 EST
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-11-15 15:06:12 EST
polari-3.11.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/polari-3.11.2-1.fc20
Comment 15 Fedora Update System 2013-11-16 02:00:20 EST
polari-3.11.2-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 16 Fedora Update System 2013-12-13 22:01:45 EST
polari-3.11.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.